Skip to main content
POST
/
v1.0
/
subscribers
/
message-filter
/
allowed-contacts
/
add
json
{
  "SubscriberId": "SID-C7AB61E0-9AD9-4512-ACA8-EDA284131441",
  "MessageFilterId": "MFID-7435d672-a2d0-451e-ab62-45499f5bc7a1",
  "Contacts": ["+15555555555"]
}
curl -X POST https://api.telegent.com/v1.0/subscribers/message-filter/allowed-contacts/add \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"SubscriberId": "SID-C7AB61E0-9AD9-4512-ACA8-EDA284131441",
"MessageFilterId": "MFID-7435d672-a2d0-451e-ab62-45499f5bc7a1",
"Contacts": ["+15555555555"]
}'
import requests

url = "https://api.telegent.com/v1.0/subscribers/message-filter/allowed-contacts/add"

payload = {
"SubscriberId": "SID-C7AB61E0-9AD9-4512-ACA8-EDA284131441",
"MessageFilterId": "MFID-7435d672-a2d0-451e-ab62-45499f5bc7a1",
"Contacts": ["+15555555555"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
SubscriberId: 'SID-C7AB61E0-9AD9-4512-ACA8-EDA284131441',
MessageFilterId: 'MFID-7435d672-a2d0-451e-ab62-45499f5bc7a1',
Contacts: ['+15555555555']
})
};

fetch('https://api.telegent.com/v1.0/subscribers/message-filter/allowed-contacts/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "FilterId": "MFID-7435d672-a2d0-451e-ab62-45499f5bc7a1",
  "SubscriberId": "SID-C7AB61E0-9AD9-4512-ACA8-EDA284131441",
  "AllowedContacts": [
    "+1111111111",
    "+2222222222",
    "+15555555555"
  ]
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Body

application/json
SubscriberId
string
required

Telegent Subscriber ID. Format: TSUID- followed by a UUID. Create one via POST /v1.0/subscribers/create or look up existing IDs with GET /v1.0/subscribers/get.

Example:

"SID-C7AB61E0-9AD9-4512-ACA8-EDA284131441"

MessageFilterId
string
required

Message Filter ID. Format: MFID- followed by a UUID. Returned by POST /v1.0/subscribers/message-filter (Create) or GET /v1.0/subscribers/message-filter (List).

Example:

"MFID-7435d672-a2d0-451e-ab62-45499f5bc7a1"

Contacts
string[]
required

One or more phone numbers (E.164 format) to add to the allowed list. Each number must start with + and country code, e.g., +15555555555.

Example:
["+15555555555"]

Response

Allowed Contacts Added

The response is of type object.